/**
 * Dream
 * Copyright (C) 2003-2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: dream@objectweb.org
 *
 * Initial developer(s): Matthieu Leclercq
 * Contributor(s): 
 */

package org.objectweb.dream.protocol;

/**
 * Exception thrown when an invalid export identifier is given to a protocol.
 */
public class InvalidExportIdentifierException extends Exception
{
  private static final long serialVersionUID = 3257566191978362936L;
  ExportIdentifier          exportId         = null;

  /**
   * @see Exception#Exception()
   */
  public InvalidExportIdentifierException()
  {
    super();
  }

  /**
   * @see Exception#Exception(String)
   */
  public InvalidExportIdentifierException(String message)
  {
    super(message);
  }

  /**
   * @see Exception#Exception(String)
   * @param message a message.
   * @param id the invalide identifier.
   */
  public InvalidExportIdentifierException(String message, ExportIdentifier id)
  {
    super(message);
    exportId = id;
  }

  /**
   * @see Throwable#getMessage()
   */
  public String getMessage()
  {
    if (exportId == null)
    {
      return super.getMessage();
    }
    return super.getMessage() + "ExportIdentifier : " + exportId;
  }

}
