/**
 * Dream
 * Copyright (C) 2003-2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: dream@objectweb.org
 *
 * Initial developer(s): Matthieu Leclercq
 * Contributor(s): 
 */

package org.objectweb.dream.protocol.bus.logicalClock;

import org.objectweb.dream.protocol.ExportIdentifier;
import org.objectweb.dream.protocol.bus.BusProtocol;

/**
 * Convenience interface for logical clock bus protocol.
 */
public interface LogicalClockBusProtocol extends BusProtocol
{
  /**
   * The hint value used by
   * {@link BusProtocol#createExportIdentifier(java.util.Map, ExportIdentifier[])}
   * to specify the clock type.
   */
  String CLOCK_TYPE_HINT_KEY                = "clock-type";

  /**
   * The hint value used by
   * {@link BusProtocol#createExportIdentifier(java.util.Map, ExportIdentifier[])}
   * to specify the chunk name.
   */
  String LOGICAL_CLOCK_CHUNK_NAME_HINT_TYPE = "logical-clock-chunk-name";

  /**
   * Utility method
   * 
   * @see BusProtocol#createExportIdentifier(java.util.Map, ExportIdentifier[])
   */
  LogicalClockExportIdentifier createExportIdentifier(int clockType,
      String chunkName, ExportIdentifier lowerId);
}
